# Uses of Class
org.eclipse.emf.cdo.ui.CDOTopicProvider.Topic

Packages that use CDOTopicProvider.Topic
Package
Description
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.

## Uses of CDOTopicProvider.Topic in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui that return CDOTopicProvider.Topic
Modifier and Type
Method
Description
`CDOTopicProvider.Topic`
CDOTopicProvider.Topic.`addAdapterProvider(Function<Class<?>,Object> newAdapterProvider)`
`CDOTopicProvider.Topic`
CDOTopicProvider.Topic.TopicChangedEvent.`getSource()`
`CDOTopicProvider.Topic[]`
CDOTopicProvider.`getTopics()`
`CDOTopicProvider.Topic[]`
DefaultTopicProvider.`getTopics()`
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOTopicProvider.Topic
Modifier and Type
Method
Description
`boolean`
DefaultTopicProvider.`addTopic(CDOTopicProvider.Topic topic)`
`default void`
CDOTopicProvider.`changeTopic(CDOTopicProvider.Topic topic, Image newImage, String newText, String newDescription)`
`boolean`
DefaultTopicProvider.`removeTopic(CDOTopicProvider.Topic topic)`
`boolean`
DefaultTopicProvider.`setTopics(CDOTopicProvider.Topic... topics)`
`void`
CDOTopicProvider.Listener.`topicAdded(CDOTopicProvider provider, CDOTopicProvider.Topic topic)`
`void`
CDOTopicProvider.Listener.`topicRemoved(CDOTopicProvider provider, CDOTopicProvider.Topic topic)`
Method parameters in org.eclipse.emf.cdo.ui with type arguments of type CDOTopicProvider.Topic
Modifier and Type
Method
Description
`boolean`
DefaultTopicProvider.`setTopics(Collection<CDOTopicProvider.Topic> topics)`